petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetNamedLocalVector

get access to a named, persistent local vector

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetNamedLocalVector(DM dm,const char *name,Vec *X)

Not Collective

### Input Arguments

| dm | - DM to hold named vectors
| name | - unique name for Vec

### Output Arguments

X -named Vec

Note: If a Vec with the given name does not exist, it is created.

### See Also

DMGetNamedGlobalVector(),DMRestoreNamedLocalVector()

### Level

developer

### Location

src/dm/interface/dmget.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages